## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate monitord

Name:           rust-monitord
Version:        0.10.1
Release:        %autorelease
Summary:        Know how happy your systemd is

License:        GPL-2.0-or-later
URL:            https://crates.io/crates/monitord
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Drop tokio/tracing, still unstable
Patch:          monitord-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
monitord is a library and daemon to gather statistics about systemd.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# GPL-2.0-or-later
# MIT
# MIT OR Apache-2.0
# MIT OR LGPL-3.0-or-later
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
License:        GPL-2.0-or-later AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND MIT AND (MIT OR LGPL-3.0-or-later) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/monitord
%config(noreplace) %{_sysconfdir}/monitord.conf

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
rm -r docs
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
install -Dpm0644 -t %{buildroot}%{_sysconfdir} monitord.conf

%if %{with check}
%check
# * skip tests requiring D-Bus
%cargo_test -- -- --exact --skip networkd::tests::test_parse_interface_state_files --skip networkd::tests::test_parse_interface_state_files_json
%endif

%changelog
## START: Generated by rpmautospec
* Mon Oct 21 2024 Michel Lind <salimma@fedoraproject.org> - 0.10.1-1
- Update to version 0.10.1; Fixes: RHBZ#2306052

* Tue Jul 23 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.8.4-1
- Update to 0.8.4

* Wed Jul 17 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.8.3-1
- Initial import; Fixes: RHBZ#2290480
## END: Generated by rpmautospec
